# Sign

API Documentation: | `Sign`

A task for creating digital signature files for one or more; tasks, files, publishable artifacts or configurations.

The task produces `Signature`

objects that are publishable artifacts and can be assigned to another configuration.

The signature objects are created with defaults and using this tasks signatory and signature type.

### Properties

Property | Description
`signatory` | The signatory for this signing task.

### Methods

Method | Description
`sign(files)` | Configures the task to sign each of the given files
`sign(classifier, files)` | Configures the task to sign each of the given artifacts, using the given classifier as the classifier for the resultant signature publish artifact.
`sign(tasks)` | Configures the task to sign the archive produced for each of the given tasks (which must be archive tasks).
`sign(configurations)` | Configures the task to sign every artifact of the given configurations
`sign(publishArtifacts)` | Configures the task to sign each of the given artifacts
`sign(publications)` | Configures the task to sign every artifact of the given publications
`signatory(signatory)` | Changes the signatory of the signatures.

### Script blocks

No script blocks

### Property details

#### `Signatory` `signatory`

The signatory for this signing task.

### Method details

#### `void` `sign`(``File`...` files)

Configures the task to sign each of the given files

#### `void` `sign`(`String` classifier, ``File`...` files)

Configures the task to sign each of the given artifacts, using the given classifier as the classifier for the resultant signature publish artifact.

#### `void` `sign`(``Task`...` tasks)

Configures the task to sign the archive produced for each of the given tasks (which must be archive tasks).

#### `void` `sign`(``Configuration`...` configurations)

Configures the task to sign every artifact of the given configurations

#### `void` `sign`(``PublishArtifact`...` publishArtifacts)

Configures the task to sign each of the given artifacts

#### `void` `sign`(``Publication`...` publications)

Configures the task to sign every artifact of the given publications

#### `void` `signatory`(`Signatory` signatory)

Changes the signatory of the signatures.